org.apache.commons.mail.util

## Class IDNEmailAddressConverter

- java.lang.Object
- - org.apache.commons.mail.util.IDNEmailAddressConverter

-     public class IDNEmailAddressConverter
      extends Object

  Converts email addresses containing International Domain Names into an ASCII representation suitable for sending an email.
  Since:
    1.5
  See Also:
    https://docs.oracle.com/javase/tutorial/i18n/network/idn.html, https://en.wikipedia.org/wiki/Punycode, https://tools.ietf.org/html/rfc5891, https://en.wikipedia.org/wiki/Punycode

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDNEmailAddressConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toASCII(String email)` Convert an email address to its ASCII representation using "Punycode".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IDNEmailAddressConverter

          public IDNEmailAddressConverter()

  - ### Method Detail

    - #### toASCII

          public String toASCII(String email)

      Convert an email address to its ASCII representation using "Punycode".
      Parameters:
        `email` - email address.
      Returns:
        The ASCII representation

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.